import java.awt.event.*;
import java.awt.*;
import javax.swing.*;
import java.util.Scanner;


public class VGGUI implements ActionListener {
    JButton but1, but2;
    JLabel lab1,lab2;
    JFrame frame;

    VGGame game;

    JButton[] butSpalte1, butSpalte2;

    public void initGame() {
        game = new VGGame();
        butSpalte1 = new JButton[6];
        butSpalte2 = new JButton[6];

        for(int i = 0; i<6; i++) {
            butSpalte1[i] = new JButton(" ");
            butSpalte1[i].setBounds(10+0*50,270-30*i,50,30);
            butSpalte1[i].setBackground(Color.white);
            frame.add( butSpalte1[i]  );

            butSpalte2[i] = new JButton(" ");
            butSpalte2[i].setBounds(10+1*50,270-30*i,50,30);
            butSpalte2[i].setBackground(Color.white);
            frame.add( butSpalte2[i]  );
        }
    }

    public void zeigeFenster() {
        setSchriftgroesse(16);

        frame = new JFrame();
        frame.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
        frame.setTitle("4 gewinnt");
        frame.setLayout(null); 

        but1 = new JButton("1");
        but1.setBounds(10,70,50,40);
        but1.addActionListener(this);
        frame.add( but1 );

        but2 = new JButton("2");
        but2.setBounds(60,70,50,40);
        but2.addActionListener(this);
        frame.add( but2 );

        lab1 = new JLabel("4 gewinnt spielen!");
        lab1.setBounds(10,10,450,40);
        frame.add(lab1);

        lab2 = new JLabel("Auf geht's!");
        lab2.setBounds(10,30,450,40);
        frame.add(lab2);

        frame.pack();
        frame.setSize(500,600);
        frame.setResizable(false);
        frame.setVisible( true );
    }

    public void spielstandDarstellen() {
        // spalte 1
        for(int i = 0; i<6; i++) {
            int chip = game.wertInSpalteHoehe(1,i);
            if(chip == 0) {
                butSpalte1[i].setBackground(Color.white);
            } else if(chip == 1) {
                butSpalte1[i].setBackground(Color.red);
            } else if(chip == 2) {
                butSpalte1[i].setBackground(Color.blue);
            }
        }
        
        // spalte 2
        for(int i = 0; i<6; i++) {
            int chip = game.wertInSpalteHoehe(2,i);
            if(chip == 0) {
                butSpalte2[i].setBackground(Color.white);
            } else if(chip == 1) {
                butSpalte2[i].setBackground(Color.red);
            } else if(chip == 2) {
                butSpalte2[i].setBackground(Color.blue);
            }
        }

    }

    public void actionPerformed(ActionEvent e) {
        if(e.getSource() == but1) {
            game.einwurf(1);
        }
        if(e.getSource() == but2) {
            game.einwurf(2);
        }

        spielstandDarstellen();

        if(game.spieler1gewonnen() ) {
            lab2.setText("Spieler 1 hat gewonnen!");
        } else 

        if(game.spieler2gewonnen() ) {
            lab2.setText("Spieler 2 hat gewonnen");            
        }

        if(!game.spieler1gewonnen() && !game.spieler1gewonnen()) {
            lab2.setText("Spieler "+game.amZug()+" ist am Zug!");            
        }
    }

    void setSchriftgroesse(int s) {
        Font f = new Font("Arial", Font.BOLD, s);

        UIManager.put("Button.font",f);
        UIManager.put("ToggleButton.font",f);
        UIManager.put("RadioButton.font", f);
        UIManager.put("CheckBox.font", f);
        UIManager.put("ColorChooser.font", f);
        UIManager.put("ComboBox.font", f);
        UIManager.put("Label.font",f);
        UIManager.put("List.font", f);
        UIManager.put("MenuBar.font", f);
        UIManager.put("MenuItem.font", f);
        UIManager.put("RadioButtonMenuItem.font", f);
        UIManager.put("CheckBoxMenuItem.font", f);
        UIManager.put("Menu.font", f);
        UIManager.put("PopupMenu.font", f);
        UIManager.put("OptionPane.font", f);
        UIManager.put("Panel.font", f);
        UIManager.put("ProgressBar.font", f);
        UIManager.put("ScrollPane.font", f);
        UIManager.put("Viewport.font", f);
        UIManager.put("TabbedPane.font", f);
        UIManager.put("Table.font", f);
        UIManager.put("TableHeader.font", f);
        UIManager.put("TextField.font", f);
        UIManager.put("PasswordField.font", f);
        UIManager.put("TextArea.font", f);
        UIManager.put("TextPane.font", f);
        UIManager.put("EditorPane.font", f);
        UIManager.put("TitledBorder.font", f);
        UIManager.put("ToolBar.font", f);
        UIManager.put("ToolTip.font", f);
        UIManager.put("Tree.font", f);        
    }

}